/*
* PURPOSE : Local interface for PhysicalCountPrcEJB to lookup remotely
* AUTHOR : Changed By Ameya On 19/07/2012 [DI1BBAS002] 
*/ 
package ibase.webitm.ejb.wms;
import java.rmi.RemoteException;
import org.w3c.dom.*;
import ibase.webitm.ejb.*;
import ibase.webitm.utility.ITMException;

@javax.ejb.Remote
public interface PhysicalCountPrcRemote extends ProcessRemote
{
	public String process() throws RemoteException,ITMException;
	public String process(Document headerDom, Document detailDom, String windowName, String xtraParams) throws RemoteException,ITMException;
	public String process(String xmlString, String xmlString2, String windowName, String xtraParams) throws RemoteException,ITMException;
	public String getData(String xmlString, String xmlString2, String windowName, String xtraParams) throws RemoteException,ITMException;
	public String getData(Document headerDom, Document detailDom, String windowName, String xtraParams) throws RemoteException,ITMException;
	
}